<?php

session_start();

include '../config/database.php';
include_once '../config/properties.php';
include_once "../resources/forum.php";

// initialize objects
$forum = new Forum();

$id = $_SESSION['uid'];

$topic_name = $_POST['topic_name'];
$question_title = $_POST['question_title'];
$question_desc = $_POST['question_desc'];
$status = "Active";
$forum->user_id = $id;
$forum->topic_name = $topic_name;
$forum->topic_title = $question_title;
$forum->topic_desc = $question_desc;
$forum->status = $status;
$forum->created_ts = $date_time;
$forum->last_updated_user = $id;
$forum->last_updated_ts = $date_time;

if ($forum->insert_question()) {

    //Fetch topic name.
    $stmt = $forum->get_forum_topic_name($id);
    echo '<option value="">All Topics</option>   ';
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        echo '<option  value="' . $row['topic_name'] . '">' . $row['topic_name'] . '</option>';
    }
}
?>

